JOBREP-ADMIN(8)

NAME
jobrep-admin - manage jobrepository database structure

SYNOPSIS
jobrep-admin {install|destroy|show} [db password file]

DESCRIPTION
This manual page documents briefly the jobrep-admin command.

This command (re)creates or destroys a MySQL database with a schema that is suitable to be used by the lcmaps_jobrep.mod(8) plug-in. It needs to be run only once. The database name is hard-coded to 'jobrepository', and the database administrator's login must be 'root'.

OPTIONS
This program accepts the following commands.

install
    Install the jobrepository database.

destroy
    Destroy the database.

show
    Show the current database structure.

The program accepts one optional parameter:

db password file
    This should be the path of a file that contains the password of the database administrator. The username must be 'root'.

BUGS
Please report any errors to the Nikhef Grid Middleware Security Team <grid-mw-security-support@nikhef.nl>.

SEE ALSO
lcmaps(8), lcmaps_jobrep.mod(8), mysql(1).
More information can be found on-line at the Nikhef Wiki on Site Access Control (https://www.nikhef.nl/pub/projects/grid/gridwiki/index.php/Site_Access_Control).

AUTHOR
The Jobrepository and the LCMAPS plug-ins were written by the Nikhef Grid Middleware Security Team <grid-mw-security@nikhef.nl>.